Cacti (home)ForumsDocumentation

predict

type:
userplugin
userplugin:
predict
author:
Herve Donati
description:
Datasource value prediction
version:
1.0.0
pia:
2.x
cacti:
0.8.7g
date:
2013-05-14
plugins:
predict,
prediction

Download

This plugin can be downloaded here: predict_1.0.0.zip

Purpose

Display normal datasource behaviour using RRD feature PREDICT, even in the future.

Features

PA 2.0 compatible

PostgreSQL compatible (Thank you Glenn Herteg from GroundWork)

Prerequisites

Need php-hash

Need rrdtool at least 1.4.x

Installation

To install, uncompress in your plugin directory; it creates a folder called “predict”. Then login to Cacti, goto Plugin Management and click “Install” next to the plugin's name. Don't forget to manage then users realm permission to grant access. Default values are under “Misc” Tab in “Settings'. You need to grant write permission to apache user for subdir “tmp”.

Usage

Click on plugin tab, choose a host and a datasource. Select start and end date for resulting graph + display options.

Additional Help?

If you need additional help, please email me.

Possible Bugs?

Screenshots






Personal Tools